Creates a new skill

Request Information

URI Parameters :

None.

Body Parameters :

skill
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the skill

string

Required

Max length: 255

description

Description of the skill

string

Max length: 4000

code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating skill

string
sales_organization

Embedded entity "sales_organization" when adding/updating skill

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "deb5ef3a-9fd8-4471-bc5d-d3d3fc7e02ae",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "sales_organization_id": "331849fe-17a6-42dc-96c9-c082f2f7a516",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "d0230fc7-f5b0-4229-8d64-74ef7b89f2b2",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "49a57e8f-aa8f-441a-ad13-0c1e4926bc9b",
    "db_currency_id": "00f39eb1-2b6e-4979-b8df-cdf055fa63c5",
    "db_language_id": "41fb20cb-39cd-44c6-8ef6-39f56daed055",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-05-04T16:59:18.5501272+00:00"
  },
  "modified_dateutc": "2026-05-04T16:59:18.5501272+00:00"
}

Response Information

Resource Description :

IHttpActionResult

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.